﻿using UnityEngine;
using System.Collections;

public class BallScript : MonoBehaviour {

	public float minimumSpeed = 500;
	public delegate void BallEventHandler(GameObject ball, GameObject collision);
	public static event BallEventHandler onBallCollideWithBrick;

	public void LaunchBall()
	{
		if (transform.parent) {
			transform.parent = null;
		}
		rigidbody.AddForce(minimumSpeed, minimumSpeed, 0);
	}
	
	void Update () {
		if (Input.GetKeyDown(KeyCode.Space)) {
			if (transform.parent != null)
			{
				LaunchBall();
			}
		}

	}

	void OnCollisionEnter(Collision collision) {
		if (collision.gameObject.tag == "Brick") {
			if (onBallCollideWithBrick != null) {
				onBallCollideWithBrick(gameObject, collider.gameObject);
			}
		}
	}

}
