﻿using UnityEngine;
using System.Collections;

public class GameManager : MonoBehaviour {

	public int brickPoint = 10;
	public GameObject[] columns;
	private int score = 0;

	public void OnEnable() {
		BallScript.onBallCollideWithBrick += this.CollideWithBrick;
	}
	
	public void OnDisable() {
		BallScript.onBallCollideWithBrick -= this.CollideWithBrick;
	}


	public void CollideWithBrick(GameObject Ball, GameObject brick)
	{
		score += brickPoint;
		Debug.Log ("score: " + brickPoint);
	}

	private IEnumerator enableColumns() {
		for (int i=0; i < columns.Length; i++) {
			GameObject column = columns[i];
			column.SetActive(true);
			yield return new WaitForSeconds(.2f);
		}
		StopCoroutine("enableColumns");
	}

	void Awake() {
		StartCoroutine("enableColumns");
	}

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
